<template>
  <div class="portfolio">
    <h2>Portfolio</h2>
    <div class="hline">
      <hr/>
  </div>

    <div class="projects">
      <a href="https://codepen.io/UmerSK/pen/GBQBvp/" target="_blank"><div> View Calculator Project</div></a>
      <a href="https://codepen.io/UmerSK/full/zLadQQ/" target="_blank"><div> View Photography Website</div></a>
      <a href="https://codepen.io/UmerSK/full/qXmxGj/" target="_blank"> <div>View Wikipedia viewer</div></a>
      <a href="https://codepen.io/UmerSK/full/GvRooW/" target="_blank"> <div>View Random Quote Machine</div></a>
  </div>

  </div>
</template>

<script>
// @ is an alias to /src

export default {
  name: 'portfolio',
}
</script>

<style scoped lang="scss">

  .portfolio {
    display: grid;
    width: 70%;

    .hline hr {
      color: #ffa102;
      margin-left: auto;
      margin-right: auto;
      margin-top: 10px;
      padding: 0;
      max-width: 300px;
      border: 0;
      border-top: solid 5px;
      text-align: center;
    }

    h2 {
      margin-top: 12px;
      margin-bottom: 5px;
      text-align: center;
    }

    .projects {
      display: grid;
      grid-template-rows:    repeat(2, 200px);
      grid-template-columns: repeat(2, 1fr);
      grid-gap: 10px;
      padding: 15px;

      a{
        //background: #732828;
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
        text-decoration: none;
        cursor: pointer;
        width: 100%;
        font-size: 1.3rem;
        color: #42413d;
        box-shadow: 0px 5px 5px #888888;
        &:hover {
          background: antiquewhite;
        }
      }
    }

  }

</style>
